#### 4.5.1 Command line option variables ¶

In the user editable second section of the Per-user configuration file (.dejagnurc) you can not only override the configuration variables captured in the first section, but also specify default values for all of the `runtest` command line options. Excepting `--debug`, `--help`, and `--version`, each command line option has an associated Tcl variable. Use the Tcl `set` command to specify a new default value (as for the configuration variables). The following table describes the correspondence between command line options and variables you can set in `site.exp`. Refer to Invoking runtest, for explanations of the command-line options.

Option | Tcl variable | Description
--- | --- | ---
-a, –all | all_flag | display all test results if set
–build | build_triplet | system triplet for the build host
–dir | cmdline_dir_to_run | run only tests in the specified directory
–global_init | global_init_file | file name for global init file in `libdir`
–host | host_triplet | system triplet for the host
–host_board | host_board | host board definition to use
–ignore | ignoretests | do not run the specified tests
–local_init | local_init_file | file name for local init file in `objdir`
–log_dialog | log_dialog | emit Expect output to standard output
–outdir | outdir | directory for `.sum` and `.log` files
–objdir | objdir | directory for pre-compiled binaries
–reboot | reboot | reboot the target if set to 1
–srcdir | srcdir | directory of test subdirectories
–target | target_triplet | system triplet for the target
–target_board | target_list | list of target boards to run tests on
–tool | tool | name of tool to test (selects tests to run)
–tool_exec | TOOL_EXECUTABLE | path to the executable to test
–tool_opts | TOOL_OPTIONS | additional options to pass to the tool
–tool_root_dir | tool_root_dir | tool root directory
-v, –verbose | verbose | verbosity level greater than or equal to 0